### Signal

# Qmi ClientLoc::engine-state

since: 1.22

#### Declaration

    void
    engine_state (
      QmiClientLoc* self,
      QmiIndicationLocEngineStateOutput* output,
      gpointer user_data
    )

#### Description [src]

The ::engine-state signal gets emitted when a ‘Engine State‘ indication is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.22

#### Parameters

`output`

  Type: `QmiIndicationLocEngineStateOutput`

  A `QmiIndicationLocEngineStateOutput`.

  The data is owned by the caller of the function.